Create a new registration

Creating a New Registration

You are logged on to the computer and want to register a new web page or a dialog.

Password Bank recognizes pages containing a password field and displays a hint that the page can be registered. These hints can be turned off in the Settings dialog.

Learn how to:

Create a new registration:

  1. Display a web page or a dialog you want to register.
  2. Fill in the data that you want to be replayed when you visit the web page/dialog and swipe your finger in the future.
  3. Swipe your enrolled finger over the sensor to display the Biomenu.
  4. Select Register.

After creating a registration, a hint is displayed in the corner of your browser confirming your registration has been created. (See how to turn hints on/off). Click on Edit to edit the registration details directly from this hint dialog.

A wizard will assist you through your first registration.

Supported browsers:

  • Internet Explorer 5.5 and higher (including the IE 7.0)
  • Firefox


Replay a Web Page Registration

Replaying an Existing Registration of a Web Page

You are logged on to the computer and want to replay a registered web page. Replaying a registration will launch the registered web site and automatically log you on.

Learn how to:

Replay a registration:

  1. Swipe your enrolled finger to display the Biomenu.
  2. Select Registered Sites.
  3. Select a page you want to display and replay.
  4. Or simply verify your finger if the page is already displayed.

If you do not use the Registered Sites menu item, and display a registered page directly from the browser, Password Bank recognizes the page and displays a hint (or flashes the page border) indicating that the page is registered and can be replayed. These hints can be turned off in the User Settings dialog, Password Bank tab.

Replaying registrations with multiple forms

Password Bank registers forms, not pages. If a page contains several forms, each form requires a separate registration. If a page contains several forms, the logic of replay is as follows:

  • If there is only one registration for the page (regardless of the total number of existing forms), the registration is replayed.
  • If there are multiple registered forms, and one of the registered forms is active, this form is replayed.
  • If there is no active form, all the existing registrations for the page are offered for replay.


Replay a Dialog Registration

Replaying an Existing Registration for a Dialog

You are logged on to the computer and want to replay a registered dialog.

To replay a registration:

  1. Display the dialog to be replayed.
  2. Swipe finger over the fingerprint sensor.
  3. (optional) If the hint for replaying dialogs is displayed, confirm that you want to replay the registration.
  4. The registration is replayed.


Edit an existing registration

At times, it may be useful to edit your existing registration - e.g. if your company's address has changed and you want to update your registrations.

To edit an existing registration:

  1. Go to Start menu > Programs > Protector Suite QL ThinkVantage > ThinkVantage Fingerprint Software > Control Center.
    OR
    Swipe your finger to display the Biomenu and select Control Center.
  2. Select Settings > User Settings. Swipe your finger when prompted.
  3. Select the Registrations tab.
  4. Click on the registration you would like to edit.
  5. Click the Edit button. You can change an item or delete the item. The name you enter is only a description that is displayed in the Biomenu, it does not affect the information stored with the registration.
  6. Select the Auto submit check box to submit the selected registration automatically after replaying the registration.

After creating a registration, a hint is displayed in the corner of your browser confirming your registration has been created. (See how to turn hints on/off). Click on Edit to edit the registration details directly from this hint dialog.


Delete an existing registration

Deleting an existing registration

You are logged on to the computer and want to delete an existing registration.

To delete an existing registration:

  1. Go to Start menu > Programs > Protector Suite QL ThinkVantage > ThinkVantage Fingerprint Software > Control Center.
    OR
    Swipe your finger to display the Biomenu and select Control Center.
  2. Select Settings > User Settings and swipe your finger when prompted.
  3. Select the Registrations tab.
  4. Select a registration.
  5. Click the Delete button.


Export/Import a Registration

Exporting/Importing a Registration

You can export your registration for use on another computer. An exported registration is a file with a *.pb extension and can be imported later.

Learn how to:

Export a registration

  1. Go to Start menu > Programs > Protector Suite QL ThinkVantage > ThinkVantage Fingerprint Software > Control Center.
    OR
    Swipe your finger to display the Biomenu and select Control Center.
  2. Select Settings > User Settings. Authentication is required. Swipe your finger over the fingerprint sensor when prompted.
  3. Select the Registrations tab.
  4. Select registrations to be exported.
  5. Click the Export button.
  6. Enter the target file name.
  7. Enter and retype a password which protects your registrations. This password will be later used when importing these registrations.

Hint: To select more registrations, hold the Ctrl or Shift key when selecting registrations. If no registration is selected, all registrations are exported.

Import a registration

  1. Go to Start menu > Programs > Protector Suite QL ThinkVantage > ThinkVantage Fingerprint Software > Control Center.
    OR
    Swipe your finger to display the Biomenu and select Control Center.
  2. Select Settings > User Settings. Authentication is required. Swipe your finger over the fingerprint sensor when prompted.
  3. Select the Registrations tab.
  4. Click the Import button.
  5. Browse for the *.pb file to be imported.
  6. If any of the registrations that you are importing already exists, choose whether you want to overwrite your existing registrations with the imported ones, or to add imported registrations to your registrations’ list. (If you keep your registrations and import registrations with the same names, the new instances of the registrations from the *.pb file will be indicated by a number after the registration name.)
  7. Enter the password created during export.
  8. The registrations will be imported.


Password Bank Settings

Password Bank

The Password Bank displays hints for the user when an action is possible. These alerts can be turned on/off.

To turn hints on/off:

  1. Go to Start menu > Programs > Protector Suite QL ThinkVantage > ThinkVantage Fingerprint Software > Control Center.
    OR
    Swipe your finger to display the Biomenu and select Control Center.
  2. Select Settings > User Settings and swipe your finger when prompted.
  3. Select the Password Bank tab.
  4. Select the hints you want to display.
    • Alert me when registration is replayed - This alert informs user that replaying of the registration is about to be started. This alert is useful in cases you want to create more registrations of the same form or dialog and do not want to overwrite already entered
    • Alert me after registration was created - This alert informs user that the registration was successfully created
    • Alert me if password field is edited - This alert informs user that password field will be displayed in a readable form
    • Alert me if a dialog could be replayed - This alert informs user that replaying the registration is possible
    • Alert me if dialog is suitable for registration - This alert informs user that the dialog contains a password field that can be registered.
    • Alert me if a web site could be replayed - This alert informs user that replaying the registration is possible
    • Alert me if a web site is suitable for registration - This alert informs user that the page contains a password field that can be registered
  5. Click the OK button.


Password Bank

The Password Bank stores registrations of your web pages and dialogs so that you can access frequent web pages (web mail, bank accounts, e-commerce, etc.) securely, without the hassle of re-entering passwords and form data. You enter the required information only once, during web page or dialog registration. When the window is displayed again, you can enter all the data by using the sensor. Registered web pages can be accessed also directly from the Biomenu.

Supported browsers:

  • Internet Explorer 5.5 (including 7.0) and higher
  • Firefox

What do you want to do?

Register a new web page or dialog
Access and replay a registered web page
Replay a registered dialog
Edit contents of an existing registration
Delete an existing registration
Export/import registrations
Turn off Password Bank's hints


Rename a registration

Renaming a registration

Registrations are stored with a default name. You can later rename a registration.

To rename a registration:

  1. Swipe your finger to display the Biomenu
  2. Select Control Center (or right-click on the tray icon and run Control Center directly).
  3. Select Settings > User Settings and swipe your finger when prompted.
  4. Select Registrations.
  5. Select the registration you would like to rename.
  6. Click the Rename button.
  7. Type a new registration name.